PHP kézikönyv
Előző |  | Következő

# yaz_wait

(PHP 4 >= 4.0.1, PECL)

yaz_wait -- Wait for Z39.50 requests to complete

## Leírás

mixed yaz_wait ( [array &options] )

This function carries out networked (blocked) activity for outstanding requests which have been prepared by the functions yaz_connect(), yaz_search(), yaz_present(), yaz_scan() and yaz_itemorder().

yaz_wait() returns when all servers have either completed all requests or aborted (in case of errors).

## Paraméterek

options

  An associative array of options:

  timeout

    Sets timeout in seconds. If a server has not responded within the timeout it is considered dead and yaz_wait() returns. The default value for timeout is 15 seconds.

  event

    A boolean.

## Visszatérési értékek

Siker esetén `TRUE` értékkel tér vissza, ellenkező esetben `FALSE` értéket ad. In event mode, returns resource or `FALSE` in case of an error.

Előző | Tartalom | Következő
yaz_syntax | Fel | YP/NIS Functions